# Welcome to Module 301: Writing and Using Plutus Validators

Plutus validators serve multiple purposes, but their main application is to validate the spending of funds held at a smart contract address.

### In this module, you will learn:
- To write a Plutus Spending validator.
- Enough haskell to understand some common validator design patterns.
- How Datum is used in Plutus validators.
- How Redeemers are used in Plutus validators.

### At the end of this module:
[Write your own validator](/modules/301/assignment301) with specific validation rules, using datum and redeemer.

import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;
